%define name    hpjmeter
%define Name    HPjmeter
%define version 1.6
%define release 3jpp
%define Summary Java performance analysis tool
%define section non-free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        %{Summary}
License:        HP Software License
URL:            http://www.hpjmeter.com/
Group:          Development/Testing
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ftp://ftp.hp.com/pub/gsy/HPjmeter-1.6.tar.gz
Source1:        %{name}.sh
Source2:        %{name}.desktop
# Converted from images/hplogo.gif in the jar with "convert -crop 38"
Source3:        %{name}.png
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
Requires:       jpackage-utils >= 0:1.5
Obsoletes:      %{name}-rhmenu

%description
HPjmeter is the 100% Pure Java tool for analyzing profiling
information generated by the Java Virtual Machines in JDK 1.1 and Java
2 (1.2, 1.3 and 1.4).

%package        demo
Summary:        Demos for %{name}
Group:          Development/Testing

%description    demo
Demonstrations and samples for %{name}.

%package        mdkmenu
Summary:	Mandrake menu entry for %{name}
Group:		Development/Testing
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description    mdkmenu
This is a Mandrake menu system entry for %{name}.


%prep
%setup -q -c


%build
mkdir foo
cd foo
%jar xf ../%{Name}.jar
%jar cf ../%{name}-%{version}.jar *
cd ..


%install
rm -rf $RPM_BUILD_ROOT
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -pm 644 %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
# scripts
install -Dpm 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}
# demo
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 Java2Demo.eprof $RPM_BUILD_ROOT%{_datadir}/%{name}
# freedesktop.org menu entry
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/applications/jpackage-%{name}.desktop
install -Dpm 644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
# mdk menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\\
command="%{_bindir}/%{name}"\\
needs="X11"\\
section="Applications/Development/Development environments"\\
title="%{Name}" \
longtitle="%{Summary}"
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%post mdkmenu
%update_menus
 
%postun mdkmenu
%clean_menus


%files
%defattr(0644,root,root,0755)
%doc %{Name}.release.notes
%attr(0755,root,root) %{_bindir}/%{name}
%{_javadir}/%{name}*.jar
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files mdkmenu
%defattr(0644,root,root,0755)
%{_menudir}/%{name}


%changelog
* Sun Nov  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.6-3jpp
- Add freedesktop.org menu entry with icon, drop legacy rhmenu.
- Compress the jar.
- Specfile cleanups, save it in UTF-8.

* Thu May 15 2003 David Walluck <david@anti-microsoft.org> 0:1.6-2jpp
- update for JPackage 1.5
- FIXME: no icons in menus

* Sun Feb 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.6-1jpp
- Update to 1.6.

* Wed Jan 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 1.5.3-1jpp
- Update to 1.5.3.

* Sun Jun 30 2002 Ville Skyttä <ville.skytta at iki.fi> 1.5-3jpp
- Use sed instead of bash 2 extension when symlinking jars.

* Thu May 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5-2jpp
- fixes by Ville Skyttä <ville.skytta at iki.fi>
 - Fixed rhmenu file name (was missing .desktop).
 - Fixed rh and mdk menu summaries (were picked from the -rhmenu Summary).
 - Fixed startup script (install the non-bzipped version).
 - Fixed building on non-Mandrake (workaround for %{_menudir} and friends).
 - Added main RPM requirements to -mdkmenu and -rhmenu.
- used .tar.gz archive
- no icons in menus

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5-1jpp
- contributed by Ville Skyttä <ville.skytta at iki.fi>
 - Initial build.
- put desktop entry in rhmenu subpackage
- mdkmenu subpackage
- bzipped additional sources
- added prefs sourcing to script
